AntiFeatures:
  NonFreeNet:
    en-US: Depends on Feedly. You cannot even add feeds without it.
Categories:
  - Reading
License: AGPL-3.0-only
AuthorName: Samuel Bazaga
SourceCode: https://github.com/aerotoad/Thud
IssueTracker: https://github.com/aerotoad/Thud/issues

AutoName: Thud

RepoType: git
Repo: https://github.com/aerotoad/Thud.git

Builds:
  - versionName: 1.1.0
    versionCode: 5
    commit: 1.1.0
    subdir: android/app/
    sudo:
      - sysctl fs.inotify.max_user_watches=524288 || true
      - curl -Lo node.tar.gz https://nodejs.org/download/release/v18.12.1/node-v18.12.1-linux-x64.tar.gz
      - echo "a8fcacb8033504e6d704bdee821f7005ee3774db25c799bcf2a13b5bda7de172 node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
      - npm install -g @ionic/cli
    init:
      - cd ../..
      - npm install --build-from-source
    gradle:
      - yes
    prebuild: ionic cap sync
    scandelete:
      - node_modules/

  - versionName: 1.2.0
    versionCode: 7
    commit: 7389cfae697c545f6d92c1c68071568bc0f24de0
    subdir: android/app/
    sudo:
      - sysctl fs.inotify.max_user_watches=524288 || true
      - curl -Lo node.tar.gz https://nodejs.org/download/release/v18.12.1/node-v18.12.1-linux-x64.tar.gz
      - echo "a8fcacb8033504e6d704bdee821f7005ee3774db25c799bcf2a13b5bda7de172 node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
      - npm install -g @ionic/cli
    init:
      - cd ../..
      - npm install --build-from-source
    gradle:
      - yes
    prebuild: ionic cap sync
    scandelete:
      - node_modules/

  - versionName: 1.2.1
    versionCode: 8
    commit: a5e7b8e441a180f7a10f1c061e7546b811b8e7a2
    subdir: android/app/
    sudo:
      - sysctl fs.inotify.max_user_watches=524288 || true
      - curl -Lo node.tar.gz https://nodejs.org/download/release/v18.12.1/node-v18.12.1-linux-x64.tar.gz
      - echo "a8fcacb8033504e6d704bdee821f7005ee3774db25c799bcf2a13b5bda7de172 node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
      - npm install -g @ionic/cli
    init:
      - cd ../..
      - npm install --build-from-source
    gradle:
      - yes
    prebuild: ionic cap sync
    scandelete:
      - node_modules/

  - versionName: 1.3.0
    versionCode: 10
    commit: a41876d891bd8d02b0c6049a36fedb3871fb20e7
    subdir: android/app/
    sudo:
      - sysctl fs.inotify.max_user_watches=524288 || true
      - curl -Lo node.tar.gz https://nodejs.org/download/release/v18.12.1/node-v18.12.1-linux-x64.tar.gz
      - echo "a8fcacb8033504e6d704bdee821f7005ee3774db25c799bcf2a13b5bda7de172 node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
      - npm install -g @ionic/cli
    init:
      - cd ../..
      - npm install --build-from-source
    gradle:
      - yes
    prebuild: ionic cap sync
    scandelete:
      - node_modules/

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 1.3.0
CurrentVersionCode: 10
